## ejabberd-contrib 0.2022.04.12~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2022.04.12~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2022.04.12~dfsg0
  * Build for ejabberd 22.05
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 13:31:46 +0200
