## ejabberd-contrib 0.2022.10.12~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2022.10.12~dfsg0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 Nov 2022 16:25:21 +0100

ejabberd-contrib (0.2022.10.12~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2022.10.12~dfsg0
  * Refreshed patches
  * Build for ejabberd 22.10

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 17:13:47 +0100
