## ejabberd-contrib 0.2023.01.25~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2023.01.25~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2023.01.25~dfsg0
  * Build for ejabberd 23.01
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright
  * Add lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 23:04:52 +0100
