## ejabberd-contrib 0.2023.10.04~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2023.10.04~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2023.10.04~dfsg0
  * Build for ejabberd 23.10
  * Refreshed patch
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 29 Dec 2023 14:50:36 +0100
