## ejabberd-contrib 0.2024.07.18~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2024.07.18~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2024.07.18~dfsg0
  * Build for ejabberd 24.07
  * Updated debian/patches/src.includes.patch

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Oct 2024 13:34:05 +0200
