=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 23.10~), rebar
+Build-Depends: debhelper-compat (= 13), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 24.07~), rebar
 Standards-Version: 4.6.2
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
