## ejabberd-contrib 0.2025.01.11~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2025.01.11~dfsg0-3) unstable; urgency=medium

  * Build for ejabberd 24.12-4

 -- Philipp Huebner <debalance@debian.org>  Wed, 23 Apr 2025 23:11:35 +0200

ejabberd-contrib (0.2025.01.11~dfsg0-2) unstable; urgency=medium

  * Build for ejabberd 24.12-3 (Closes: #1100480)
  * Updated debian/README.source
  * Updated Standards-Version: 4.7.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 30 Mar 2025 15:25:33 +0200

ejabberd-contrib (0.2025.01.11~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2025.01.11~dfsg0
  * Refreshed debian/patches/src.includes.patch
  * Build for ejabberd 24.12
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * Ran `wrap-and-sort`

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:39:05 +0100
